#include <windows.h>

int Width, Height;

const int MARGIN = 10;

void SetWindowSize(int _Width, int _Height){
	Width = _Width;
	Height = _Height;
}

int Tx(double X_Log){
	int X_Window;
	X_Window = MARGIN + (1.0 / 2) * (X_Log + 1) * (Width - 2 * MARGIN);
	return X_Window;
}

int Ty(double Y_Log){
	int Y_Window;
	Y_Window = MARGIN + (-1.0 / 2) *  (Y_Log - 1) * (Height - 2 * MARGIN);
	return Y_Window;
}

void Draw(HDC hdc){
	MoveToEx(hdc, Tx(0.0), Ty(0.5), NULL);
	LineTo(hdc, Tx(0.5), Ty(0.0));
	LineTo(hdc, Tx(-0.5), Ty(-0.5));
	LineTo(hdc, Tx(0.0), Ty(0.5));
}